//
//  FileUtil.m
//  Portfolio
//
//  Created by Afonso Junior on 13/05/10.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import "FileUtil.h"


@interface FileUtil (Private)

+ (NSString *)getPath:(NSString *)fileName;

@end


@implementation FileUtil


+ (NSDictionary *)dicionarioDeImagens {
	return [[NSDictionary dictionaryWithContentsOfFile:[self getPath:@"imagens.plist"]] autorelease];
}


+ (NSDictionary *)dicionarioDeDescricao {
	return [[NSDictionary dictionaryWithContentsOfFile:[self getPath:@"descricao.plist"]] autorelease];
}

+ (NSArray *)chavesDoDicionario {
	return [[NSDictionary dictionaryWithContentsOfFile:[self getPath:@"descricao.plist"]] keysSortedByValueUsingSelector:@selector(compare:)];
}



#pragma mark Private
+ (NSString *)getPath:(NSString *)fileName {
	NSString *path = [[NSBundle mainBundle] bundlePath];
	return [path stringByAppendingPathComponent:fileName];
}


@end
